(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[      9635,        234]
NotebookOptionsPosition[      9971,        221]
NotebookOutlinePosition[     10568,        246]
CellTagsIndexPosition[     10525,        243]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
\:70b9\:ff21\:3001\:5186\:4e0a\:306e\:70b9\:ff31\:306b\:5bfe\:3057\:3000\:ff21\
\:ff31\:3092\:ff4d\:ff1a\:ff4e\:306b\:5185\:5206\:3059\:308b\:70b9\:ff30\:306e\
\:8ecc\:8de1\
\>", "Section", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 8, $CellContext`b$$ = 
    0, $CellContext`c$$ = 0, $CellContext`d$$ = 0, $CellContext`m$$ = 
    1, $CellContext`n$$ = 1, $CellContext`r$$ = 4, $CellContext`t$$ = 
    1.853539665617978, $CellContext`t1$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a$$], 8, 
       "A(\!\(\*UnderscriptBox[\(a\), \(_\)]\),b)"}, {0, 1, 2, 3, 4, 5, 6, 7, 
      8, 9, 10}}, {{
       Hold[$CellContext`b$$], 0, 
       "A(a,\!\(\*UnderscriptBox[\(b\), \(_\)]\))"}, {0, 1, 2, 3, 4, 5, 6}}, {{
       Hold[$CellContext`c$$], 0, 
       "C(\!\(\*UnderscriptBox[\(c\), \(_\)]\),d)"}, {0, 1, 2, 
      3, -1, -2, -3}}, {{
       Hold[$CellContext`d$$], 0, 
       "C(c,\!\(\*UnderscriptBox[\(d\), \(_\)]\))"}, {0, 1, 2, 
      3, -1, -2, -3}}, {{
       Hold[$CellContext`r$$], 4, "\:534a\:5f84"}, {1, 2, 3, 4, 5, 6}}, {{
       Hold[$CellContext`m$$], 1, "\!\(\*UnderscriptBox[\(m\), \(_\)]\):n"}, {
      1, 2, 3, 4, 5, 6}}, {{
       Hold[$CellContext`n$$], 1, "m:\!\(\*UnderscriptBox[\(n\), \(_\)]\)"}, {
      1, 2, 3, 4, 5, 6}}, {{
       Hold[$CellContext`t1$$], 1, "\:8ecc\:8de1"}, {1, 0}}, {
      Hold[$CellContext`t$$], 0, 2 Pi}}, Typeset`size$$ = {
    749., {312., 321.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$506$$ = 
    0, $CellContext`b$507$$ = 0, $CellContext`c$508$$ = 
    0, $CellContext`d$509$$ = 0, $CellContext`r$510$$ = 
    0, $CellContext`m$511$$ = 0, $CellContext`n$512$$ = 
    0, $CellContext`t1$513$$ = False, $CellContext`t$514$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 8, $CellContext`b$$ = 
        0, $CellContext`c$$ = 0, $CellContext`d$$ = 0, $CellContext`m$$ = 
        1, $CellContext`n$$ = 1, $CellContext`r$$ = 4, $CellContext`t$$ = 
        0, $CellContext`t1$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$506$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$507$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$508$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$509$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$510$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$511$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$512$$, 0], 
        Hold[$CellContext`t1$$, $CellContext`t1$513$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$514$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[$CellContext`naibun[
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`b, 
             Blank[]], 
            Pattern[$CellContext`m, 
             Blank[]], 
            Pattern[$CellContext`n, 
             
             Blank[]]] := ($CellContext`n $CellContext`a + $CellContext`m \
$CellContext`b)/($CellContext`n + $CellContext`m); {Arrowheads -> Large, 
           Thickness[0.003], {
            PointSize[Large], 
            Point[{$CellContext`a$$, $CellContext`b$$}], 
            Point[{$CellContext`c$$, $CellContext`d$$}]}, 
           Text[
            Style[
             StringJoin[
              Map[ToString[#]& , {"A"}]], 
             Large], {$CellContext`a$$, $CellContext`b$$} + {0, 0.5}], 
           Text[
            Style["Q", Large], $CellContext`r$$ {
               Cos[$CellContext`t$$], 
               
               Sin[$CellContext`t$$]} + {$CellContext`c$$, $CellContext`d$$} + \
{0, 0.5}], 
           Text[
            Style[
            "P", Large, 
             
             Red], $CellContext`naibun[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`r$$ {
                 Cos[$CellContext`t$$], 
                 
                 Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}, $CellContext`m$$, $CellContext`n$$] + {0, 0.5}], 
           Text[
            
            Style[$CellContext`m$$, 
             Large], ($CellContext`naibun[{$CellContext`a$$, \
$CellContext`b$$}, $CellContext`r$$ {
                   Cos[$CellContext`t$$], 
                   
                   Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}, $CellContext`m$$, $CellContext`n$$] + {$CellContext`a$$, \
$CellContext`b$$})/2 + {0, 0.5}], 
           Text[
            
            Style[$CellContext`n$$, 
             Large], ($CellContext`naibun[{$CellContext`a$$, \
$CellContext`b$$}, $CellContext`r$$ {
                   Cos[$CellContext`t$$], 
                   
                   Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}, $CellContext`m$$, $CellContext`n$$] + $CellContext`r$$ {
                 Cos[$CellContext`t$$], 
                 
                 Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$})/2 + {0, 0.5}], 
           Circle[{$CellContext`c$$, $CellContext`d$$}, $CellContext`r$$], {
            PointSize[Large], Red, 
            Point[
             $CellContext`naibun[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`r$$ {
                 Cos[$CellContext`t$$], 
                 
                 Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}, $CellContext`m$$, $CellContext`n$$]]}, {
            PointSize[Large], Black, 
            Point[$CellContext`r$$ {
                Cos[$CellContext`t$$], 
                
                Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}]}, 
           Line[{{$CellContext`a$$, $CellContext`b$$}, $CellContext`r$$ {
                Cos[$CellContext`t$$], 
                
                Sin[$CellContext`t$$]} + {$CellContext`c$$, \
$CellContext`d$$}}]}, {
         AspectRatio -> Automatic, Axes -> True, AxesStyle -> Blue, GridLines -> {
            Range[-10, 15, 1], 
            Range[-8, 17, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-10, 14}, {-10, 10}}}, 
         PlotRange -> {{-8, 8}, {-6, 6}}, ImageSize -> Large, 
         LabelStyle -> (FontSize -> 17)], 
        Graphics[
         ParametricPlot[
          $CellContext`naibun[{$CellContext`a$$, $CellContext`b$$}, \
$CellContext`r$$ {
              Cos[$CellContext`t$$], 
              
              Sin[$CellContext`t$$]} + {$CellContext`c$$, $CellContext`d$$}, \
$CellContext`m$$, $CellContext`n$$], {$CellContext`t$$, 0, 2 Pi}, 
          PlotStyle -> {Black, Dashed, Thick, 
            Opacity[$CellContext`t1$$]}]]], 
      "Specifications" :> {{{$CellContext`a$$, 8, 
          "A(\!\(\*UnderscriptBox[\(a\), \(_\)]\),b)"}, {0, 1, 2, 3, 4, 5, 6, 
         7, 8, 9, 
         10}}, {{$CellContext`b$$, 0, 
          "A(a,\!\(\*UnderscriptBox[\(b\), \(_\)]\))"}, {0, 1, 2, 3, 4, 5, 
         6}}, {{$CellContext`c$$, 0, 
          "C(\!\(\*UnderscriptBox[\(c\), \(_\)]\),d)"}, {0, 1, 2, 
         3, -1, -2, -3}}, {{$CellContext`d$$, 0, 
          "C(c,\!\(\*UnderscriptBox[\(d\), \(_\)]\))"}, {0, 1, 2, 
         3, -1, -2, -3}}, {{$CellContext`r$$, 4, "\:534a\:5f84"}, {1, 2, 3, 4,
          5, 6}}, {{$CellContext`m$$, 1, 
          "\!\(\*UnderscriptBox[\(m\), \(_\)]\):n"}, {1, 2, 3, 4, 5, 
         6}}, {{$CellContext`n$$, 1, 
          "m:\!\(\*UnderscriptBox[\(n\), \(_\)]\)"}, {1, 2, 3, 4, 5, 
         6}}, {{$CellContext`t1$$, 1, "\:8ecc\:8de1"}, {1, 
         0}}, {$CellContext`t$$, 0, 2 Pi}}, 
      "Options" :> {ControlPlacement -> Left, FrameMargins -> 0}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{1113., {338., 347.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]]
},
WindowSize->{1184, 759},
WindowMargins->{{82, Automatic}, {Automatic, 0}},
Visible->True,
AuthoredSize->{1184, 760},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.3 Inherited,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 260, 5, 62, "Section"],
Cell[1749, 42, 8206, 176, 687, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature MvD1QvmsPUGt6CwL9ogdJ7DN *)
